aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkate.ward <kate.ward@forestent.com>2009-04-24 00:10:33 +0000
committerkate.ward <kate.ward@forestent.com>2009-04-24 00:10:33 +0000
commite0f6471a5608f6c67eaab77687ca0b03b9288a06 (patch)
treeb6b98c2b001cb9041f018c957732c3b701ecff6d
parent39913d13e3ffb8bacd009155c0f51241dde3659b (diff)
downloadshflags-e0f6471a5608f6c67eaab77687ca0b03b9288a06.tar.gz
using updated method for getting args
-rwxr-xr-xsource/1.0/bin/gen_test_results.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/source/1.0/bin/gen_test_results.sh b/source/1.0/bin/gen_test_results.sh
index 22abc6b..c231889 100755
--- a/source/1.0/bin/gen_test_results.sh
+++ b/source/1.0/bin/gen_test_results.sh
@@ -55,7 +55,8 @@ os_version=`versions_osVersion |tr ' ' '_'`
DEFINE_boolean force false 'force overwrite' f
DEFINE_string output_dir "`pwd`" 'output dir' d
DEFINE_string output_file "${os_name}-${os_version}.txt" 'output file' o
-FLAGS "$@" || exit $?; shift ${FLAGS_ARGC}
+FLAGS "${@:-}" || exit $?
+eval set -- "${FLAGS_ARGV}"
# determine output filename
output="${FLAGS_output_dir:+${FLAGS_output_dir}/}${FLAGS_output_file}"